## jline
Class ConsoleReaderInputStream

    java.lang.Object
      java.io.InputStream
          java.io.SequenceInputStream
              jline.ConsoleReaderInputStream

public class ConsoleReaderInputStream
extends SequenceInputStream

An `InputStream` implementation that wraps a `ConsoleReader`. It is useful for setting up the `System.in` for a generic console.

Author:
  Marc Prud'hommeaux

Field Summary

Fields inherited from class java.io.SequenceInputStream
``

Constructor Summary
`ConsoleReaderInputStream(ConsoleReader reader)`

Method Summary
`static void` `restoreIn()` Restore the original `System.in` input stream.
`static void` `setIn()`
`static void` `setIn(ConsoleReader reader)`

Methods inherited from class java.io.SequenceInputStream
`available, close, read, read`

Methods inherited from class java.io.InputStream
`mark, markSupported, read, reset, skip`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ConsoleReaderInputStream

    public ConsoleReaderInputStream(ConsoleReader reader)

Method Detail

### setIn

    public static void setIn()
                      throws IOException

  Throws:
    `IOException`

### setIn

    public static void setIn(ConsoleReader reader)

### restoreIn

    public static void restoreIn()

  Restore the original `System.in` input stream.

Released under the terms of the BSD license